Zitadel PHP Client 1.3.6 PHP Client for Zitadel

Loading...
Searching...
No Matches
Public Member Functions
Account Class Reference

## Public Member Functions
| __construct (array $settings)
| setUserId (int $userid)
| deactivate ()
| reactivate ()
| lock ()
| unlock ()

## Detailed Description

Class for the general management of the user account e.g. Deactivating the account

Definition at line 10 of file Account.php.

## Constructor & Destructor Documentation

## ◆ __construct()

__construct | ( | array | $settings | ) |

Initialize the user account class

Parameters

  $settings | array The settings array

Definition at line 18 of file Account.php.

## Member Function Documentation

## ◆ deactivate()

deactivate | ( |  | ) |

Deactivate a user. He won't be able to log in. Use deactivate user when the user should not be able to use the account anymore, but you still need access to the user data. You'll get an error, if the user is already deactivated

Returns
  void

Exceptions

  Exception | Returns an exception with an error code and a message if the communication with Zitadel fails

Definition at line 35 of file Account.php.

## ◆ lock()

lock | ( |  | ) |

Lock a user. The user won't be able to log in. You'll get an error, if the user is not locked.

Returns
  void

Exceptions

  Exception | Returns an exception with an error code and a message if the communication with Zitadel fails

Definition at line 55 of file Account.php.

## ◆ reactivate()

reactivate | ( |  | ) |

Reactivate a user. He will be able to log in again. You'll get an error, if the user is not deactivated.

Returns
  void

Exceptions

  Exception | Returns an exception with an error code and a message if the communication with Zitadel fails

Definition at line 45 of file Account.php.

## ◆ setUserId()

setUserId | ( | int | $userid | ) |

Set the userid

Parameters

  $userid | int User id

Returns
  void

Definition at line 26 of file Account.php.

## ◆ unlock()

unlock | ( |  | ) |

Unlock a user. You'll get an error, if the user is not locked.

Returns
  void

Exceptions

  Exception | Returns an exception with an error code and a message if the communication with Zitadel fails

Definition at line 64 of file Account.php.

The documentation for this class was generated from the following file:

- src/User/Account.php